Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.publication.protocol.v2
Class DestinationContext

    java.lang.Object
      be.fgov.ehealth.commons.core.v1.IdentifierType
          be.fgov.ehealth.ehbox.core.v2.EhboxIdentifierType
              be.fgov.ehealth.ehbox.publication.protocol.v2.DestinationContext

All Implemented Interfaces:
  Serializable

    public class DestinationContext

extends EhboxIdentifierType
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:ehbox:core:v2}EhboxIdentifierType">
           <sequence minOccurs="0">
             <element name="Mandate" minOccurs="0">
               <complexType>
                 <complexContent>
                   <extension base="{urn:be:fgov:ehealth:commons:core:v1}IdentifierType">
                     <sequence minOccurs="0">
                       <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
                     </sequence>
                   </extension>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DestinationContext()`

Method Summary
`Mandate` | `getMandate()` Gets the value of the mandate property.
`void` | `setMandate(Mandate value)` Sets the value of the mandate property.

Methods inherited from class be.fgov.ehealth.ehbox.core.v2.EhboxIdentifierType
`getQuality, getUser, setQuality, setUser`

Methods inherited from class be.fgov.ehealth.commons.core.v1.IdentifierType
`getId, getSubType, getType, setId, setSubType, setType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DestinationContext

    public DestinationContext()

Method Detail

### getMandate

    public Mandate getMandate()

  Gets the value of the mandate property.

  Returns:
    possible object is `Mandate`

### setMandate

    public void setMandate(Mandate value)

  Sets the value of the mandate property.

  Parameters:
    `value` - allowed object is `Mandate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.